<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/browsing/browserTemplate.xhtml">
            <ui:param name="managedBean" value="#{patientBrowser}"/>
            <ui:define name="additionalFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{patientBrowser.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="firstname"/>
                            <ui:param name="filterName" value="#{messages['users.FirstName']}"/>
                            <ui:param name="filterForm" value="criteriaDiv"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{patientBrowser.filter}"/>
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filterId" value="lastname"/>
                            <ui:param name="filterName" value="#{messages['gazelle.simulator.PatientGeneration.LastName']}"/>
                            <ui:param name="filterForm" value="criteriaDiv"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row col-lg-6">
                    <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.PatientIdentifier']}</ui:define>
                        <h:inputText id="idInput" value="#{patientBrowser.patientId}"
                                     styleClass="form-control">
                            <a4j:ajax event="keyup" render="criteriaDiv"/>
                        </h:inputText>
                    </ui:decorate>
                </div>
            </ui:define>
            <ui:define name="columns">
                <ui:include src="/common/patientColumns.xhtml">
                    <ui:param name="patient" value="#{o}"/>
                </ui:include>
                <g:column>
                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{applicationConfiguration.getValueOfVariable('application_url')}#{patientBrowser.getPermanentLink(o.id)}"
                                title="#{messages['gazelle.ordermanager.AccessDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                    </div>
                </g:column>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
